Bug 830337 - usn + mmr = deletions are not replicated
usn + mmr = deletions are not replicated
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
6.4
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Rich Megginson
Sankar Ramalingam
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 17:19 EDT by Nathan Kinder
Modified: 2013-02-21 03:17 EST (History)
2 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Configuring a directory server to use multi-master replication, and Entry USN, then deleting an entry from one of the masters. Consequence: The delete operation is not replicated to the other masters. Fix: Change Entry USN to not change the delete operation into a delete tombstone operation, and change it not to remove the operation before it can be logged in the changelog to replay to other servers. Result: An entry deletion operation is replicated to all servers when the server is configured to use Entry USN.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 03:17:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 03:18:44 EST

  None (edit)
Description Nathan Kinder 2012-06-08 17:19:00 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/383

I believe this is the root cause of https://fedorahosted.org/freeipa/ticket/2772

When you have 389 with usn and mmr enabled, and delete an entry, the delete operation is not changelogged and not replicated.
Comment 1 Jenny Galipeau 2012-06-19 12:55:35 EDT
see upstream tickets for information on reproducing/verifying
Comment 2 RHEL Product and Program Management 2012-07-10 03:10:54 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 19:00:21 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 4 Jenny Galipeau 2012-08-28 09:32:09 EDT
automated regression test bug830337 in mmrepl/accept/accept.sh
Comment 6 Ján Rusnačko 2012-10-24 05:40:48 EDT
Steps to verify:

1) Setup two suppliers on ports $S1PORT and S2PORT

2) Enable USN plugin on both suppliers
ldapmodify -p $S1PORT -D "cn=directory manager" -w password << EOF
dn: cn=USN,cn=plugins,cn=config
changetype: modify
replace: nsslapd-pluginEnabled
nsslapd-pluginEnabled: on
EOF

ldapmodify -p $S1PORT -D "cn=directory manager" -w password << EOF
dn: cn=USN,cn=plugins,cn=config
changetype: modify
replace: nsslapd-pluginEnabled
nsslapd-pluginEnabled: on
EOF

3) Add user to supplier 1
ldapmodify -p $S1PORT -D "cn=directory manager" -w password -a << EOF
dn: uid=bug830337,o=Airius.com
cn: Bug 830337
sn: 830337
uid: bug830337
objectclass: top
objectclass: person
objectclass: organizationalperson
objectclass: inetorgperson
EOF

4) Check that user entry was propagated to supplier 2
ldapsearch -p $S2PORT -D "cn=directory manager" -w password -b "o=airius.com" "uid=bug830337" uid | grep -i "uid:" | awk '{print $2}'
bug830337

5) Check user`s USN on supplier 1:
ldapsearch -p $S1PORT -D "cn=directory manager" -w password -b "o=airius.com" "uid=$MYUID" entryusn | grep -i "entryusn" | awk '{print $2}'
0
 
6) Check user`s USN on supplier 2:
ldapsearch -p $S2PORT -D "cn=directory manager" -w password -b "o=airius.com" "uid=$MYUID" entryusn | grep -i "entryusn" | awk '{print $2}'
0

7) Delete user on supplier 2:
ldapmodify  -h localhost -p $S2PORT -D "cn=directory manager" -w password << EOF
dn: uid=bug830337,o=Airius.com
changetype: delete
EOF

8) Check that deletion has propagated to supplier 1:
ldapsearch -p $S1PORT -D "cn=directory manager" -w password -b "o=airius.com" "uid=bug830337" uid | grep -i "uid" 

echo $?
1

Verified
Comment 8 errata-xmlrpc 2013-02-21 03:17:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html

Note You need to log in before you can comment on or make changes to this bug.